package aspectEditor.aspectEditorUtils;
import java.util.jar.JarFile;
import java.util.*;
import java.io.*;
import edu.neu.ccs.demeter.aplib.*;
import edu.neu.ccs.demeter.*;
class __V_ClassGlobSpec_map {
  protected SymbolicNameMapI N;
  public SymbolicNameMapI get_N() { return N; }
  public void set_N(SymbolicNameMapI new_N) { N = new_N; }
  public __V_ClassGlobSpec_map() { super(); }
  public __V_ClassGlobSpec_map(SymbolicNameMapI N) {
    super();
    set_N(N);
  }
 Collection c = new ArrayList(); 
  public void before(AnyClass host) { c = null; }
  public void before(ClassName host) {
      if (c != null) {
	String l = host.toString();
	ClassGlobSpec cgNames = N.get(l);
	if (cgNames == null)
	  c.add(l);
	else
	  c = cgNames.addStrings(c);
      }
    }
  Collection get_return_val() { return c ; }
  public void start() {}
  public void finish() {}
  void universal_trv0_bef(UniversalVisitor _v_) {  }

  void universal_trv0_aft(UniversalVisitor _v_) {  }

  void universal_trv0(UniversalVisitor _v_) {
    universal_trv0_bef(_v_);
    universal_trv0_aft(_v_);
  }

}
